Page MenuHomePhabricator

Add flood flag for Latvian Wikipedia
Closed, ResolvedPublic

Description

Please enable flood flag for Latvian Wikipedia (lv.wikipedia) with such rules:

  • Administrators can add/remove flag for other users
  • Users, who are granted flood flag, can remove it from themselves
  • Administrators can add/remove flag for themselves

Community consensus for flood flag adding

Event Timeline

Edgars2007 updated the task description. (Show Details)
Edgars2007 raised the priority of this task from to Needs Triage.
Edgars2007 added a subscriber: Edgars2007.
Restricted Application added subscribers: StudiesWorld, Matanya, Aklapper. · View Herald TranscriptDec 11 2015, 4:51 PM
Luke081515 triaged this task as Normal priority.
Luke081515 moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 258477 had a related patch set uploaded (by Luke081515):
Enable flood group at lvwiki

https://gerrit.wikimedia.org/r/258477

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 8 2016, 4:18 PM

Change 258477 merged by jenkins-bot:
Enable flood group at lvwiki

https://gerrit.wikimedia.org/r/258477

Jdforrester-WMF closed this task as Resolved.Jan 12 2016, 4:26 PM
Edgars2007 reopened this task as Open.Jan 12 2016, 4:51 PM
Edgars2007 added a subscriber: Jdforrester-WMF.EditedJan 12 2016, 4:53 PM

@Jdforrester-WMF I think it isn't working as expected. Granting flooder rights works, but user's edits are shown in recent changes. Yes, hidebots=0

Or I'm missing something silly :)

Is the user actually setting the bot flag on their edits? I think that actually using the bot right to flag edits as from a bot is optional.

But if I grant myself "bot user" group (flooder group), then my edits should be marked as made from bots automatically, right? Currently they aren't (I can see them in recent changes)

But if I grant myself "bot user" group (flooder group), then my edits should be marked as made from bots automatically, right? Currently they aren't (I can see them in recent changes)

I don't think it should work like that, no.

I am looking at https://lv.wikipedia.org/wiki/Special:RecentChanges and https://lv.wikipedia.org/wiki/Special:ListGroupRights, it seems like Edgars2007 did grant themselves a "Bot user" right which does seem to be the same thing as "Botu lietotāji" which looks broken to me in LGR - no "bot" permission associated.

But shouldn't line after 7874 be

'flood' => array( 'bot' => true ), // T121238

not

'flood' => array( 'bot' ), // T121238

Change 263632 had a related patch set uploaded (by Luke081515):
Enable flood group at lvwiki: Correct mistake

https://gerrit.wikimedia.org/r/263632

Yeah, I saw that too, this patch should fix it now...

Change 263632 merged by jenkins-bot:
Enable flood group at lvwiki: Correct mistake

https://gerrit.wikimedia.org/r/263632

@Edgars2007 should work now. Please try it, and then close this, please.

Edgars2007 closed this task as Resolved.Jan 12 2016, 5:46 PM

Yes, everything seems to be fine now. Was testing various edits.